Skip to main content
GET
/
block_results
block_results
curl --request GET \
  --url https://rpc.cosmos.directory/cosmoshub/block_results
import requests

url = "https://rpc.cosmos.directory/cosmoshub/block_results"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://rpc.cosmos.directory/cosmoshub/block_results', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "height": "12",
    "txs_results": [
      {
        "code": "0",
        "data": "",
        "log": "not enough gas",
        "info": "",
        "gas_wanted": "100",
        "gas_used": "100",
        "events": [
          {
            "type": "app",
            "attributes": [
              {
                "key": "action",
                "value": "send",
                "index": false
              }
            ]
          }
        ],
        "codespace": "ibc"
      }
    ],
    "finalize_block_events": [
      {
        "type": "app",
        "attributes": [
          {
            "key": "action",
            "value": "send",
            "index": false
          }
        ]
      }
    ],
    "validator_updates": [
      {
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "9tK9IT+FPdf2qm+5c2qaxi10sWP+3erWTKgftn2PaQM="
        },
        "power": "300"
      }
    ],
    "consensus_param_updates": {
      "block": {
        "max_bytes": "22020096",
        "max_gas": "1000",
        "time_iota_ms": "1000"
      },
      "evidence": {
        "max_age": "100000"
      },
      "validator": {
        "pub_key_types": [
          "ed25519"
        ]
      }
    }
  }
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}

Query Parameters

height
integer
default:0

height to return. If no height is provided, it will fetch information regarding the latest block.

Example:

1

Response

Block results.

jsonrpc
string
required
Example:

"2.0"

id
integer
required
Example:

0

result
object
required